using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MyStack;


namespace UnitTestMyStack
{
    [TestClass]
    public class UnitTestMyStack
    {
        private MyStack.MyStack myStack;

        [TestInitialize] //kaldes fr hvert kald af TestMetode
        public void BeforeTest()
        {
            myStack = new MyStack.MyStack();
        }

        [TestMethod]
        public void TestPushPop()
        {
            myStack.Push(5);
            int expected = 5;
            int actual = myStack.Pop();

            Assert.AreEqual(expected, actual);
        }

        [TestMethod]
        [ExpectedException(typeof(MyStackIfFullException))]
        public void TestMyStackIfFullException()
        {
            myStack.Push(1);
            myStack.Push(2);
            myStack.Push(3);
        }


        [TestMethod]
        public void TestMyStackIsEmptyException()
        {
            try
            {
                myStack.Pop();
                Assert.Fail();
            }
            catch (MyStackIsEmptyException e)
            {
                Console.WriteLine(e.Message);
            }
        }
    }
}
